<ui:composition 
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pe="http://primefaces.org/ui/extensions"
    xmlns:c="http://java.sun.com/jstl/core">
		
	<div class="tablero">
		<div class="row">
			<div class="col-lg-9">
				<div class="card card-rounded bt-switch shadow-md">
					<div class="card-body">
						<div class="row">
							<div class="col-md-12">
								<h4 class="card-title pt-3 text-center">CUMPLIMIENTO PERÍODO COMERCIAL</h4>
								<br />
								<div class="row">
									<div class="col-lg-4">
										<h5 class="card-title text-center">Polizas (Nº)</h5>
										<div id="bar-chart-ga" style="width:230px;min-width: 180px; height:300px;"></div>
									</div>
									<div class="col-lg-4">
										<h5 class="card-title text-center">Prima Básica (UF)</h5>
										<div id="bar-chart-primabasica-ga" style="width:230px; min-width: 180px; height:300px;"></div>
									</div>
									<div class="col-lg-4">
										<h5 class="card-title text-center">Prima Exceso (UF)</h5>
										<div id="bar-chart-primaexceso-ga" style="width:230px; min-width: 180px; height:300px;"></div>
									</div>  
	 			            	</div>
	 			            	<div class="row">
									<div class="col-lg-12" style="text-align: center;">
										<ul id="menu">
											<li style="color: #d9d9d6;"><i class="fa fa-circle"></i> Presupuesto</li>
											<li style="color: #00aca0;"><i class="fa fa-circle"></i> Meta</li>
											<li style="color: #db0a5b;"><i class="fa fa-circle"></i> Real</li>
										</ul>
									</div>
								</div>
	                        </div>
	                	</div>
	                </div>
				</div>
			</div>
			<div class="col-lg-3 text-center">
				<div class="card card-rounded bt-switch shadow-md">
					<div class="card-body">
						<h4 class="card-title pt-3 text-center">DOTACIÓN</h4>
						<div class="row">
							<div id="canvas-container">
								<canvas id="bar-chart-dotacion-ga" class="classDotacionGA"></canvas>
							</div>
						</div>
						<div class="row">
							<div class="col-lg-12" style="text-align: center;">
								<ul id="menu">
									<li style="color: #db0a5b;"><i class="fa fa-circle"></i><span id="dotActivo">Activos</span></li>
									<li style="color: #d9d9d6;"><i class="fa fa-circle"></i><span id="dotTotales">Totales</span></li>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-6">
				<div class="card card-rounded bt-switch shadow-md">
					<div class="card-body">
						<h4 class="card-title text-center">CALIFICADOS / MEDIOS CALIFICADOS</h4>
						<div class="row">
							<c:if test="#{perfilBean.respuestaGetPerfilGA.getCalificadosMedioCalif().getCero() eq '0' 
								and perfilBean.respuestaGetPerfilGA.getCalificadosMedioCalif().getA() eq '0' 
								and perfilBean.respuestaGetPerfilGA.getCalificadosMedioCalif().getB() eq '0' 
								and perfilBean.respuestaGetPerfilGA.getCalificadosMedioCalif().getC() eq '0'}">
									<p:spacer height="50px"/>
								<div class="col-lg-12">
									<img src="#{request.contextPath}/recursos/images/graph-7_icon.png" width="100" height="80" style="display:block; margin:auto;" />
									<br/>
									<h5 class="card-title text-center">Sin información para graficar</h5>
								</div>
								<p:spacer height="100px"/>
							</c:if>
							<c:if test="#{perfilBean.respuestaGetPerfilGA.getCalificadosMedioCalif().getCero() ne '0' 
								or perfilBean.respuestaGetPerfilGA.getCalificadosMedioCalif().getA() ne '0' 
								or perfilBean.respuestaGetPerfilGA.getCalificadosMedioCalif().getB() ne '0' 
								or perfilBean.respuestaGetPerfilGA.getCalificadosMedioCalif().getC() ne '0'}">
								<p:chart type="pie" model="#{perfilBean.calPieModel}" style="height: 279px;" /> 
							</c:if>
						</div>
					</div>
				</div>
			</div>
			<!-- Column -->
			<div class="col-lg-6">
				<div class="card card-rounded bt-switch shadow-md">
                   	<div class="card-body">
                    	<h4 class="card-title text-center">PERSONAL</h4>
                    	<br />
                        <div class="row">
                       		<table class="classPersonalNoBorder">
                        		<tr>
	                        		<td width="95%">
									   	<div style="border-right: 1px solid #e9ecef" class="col-lg-12">
											<div class="table-responsive">
												<table class="classPersonalGA">
													<thead>
														<tr style="border-bottom: 2px solid #e9ecef">
															<th><spam style="font-weight: 500;">Rango Antigüedad</spam></th>
															<th><spam style="font-weight: 500;">Dotación</spam></th>
															<th><spam style="font-weight: 500;">Rotación</spam></th>
														</tr>
													</thead>
													<tbody>
													<p:repeat value="#{perfilBean.respuestaGetPerfilGA.personal}" var="personal">
						    					    	<tr>
													    	<td>
																<h:outputText value="#{personal.rangoAntiguedad}" />
													    	</td>
													    	<td>
																<h:outputText value="#{personal.dotacion}" />
													    	</td>
													    	<td>
																<h:outputText value="#{personal.rotacion}" />%
													    	</td>
													    </tr>
													 </p:repeat>
													 </tbody>
									   			</table>
											</div>
										</div>
									</td>
									<td width="5%">	
										<div style="font-weight: 500;font-size: 20px; text-align: center;">#{perfilBean.respuestaGetPerfilGA.getPorcentajeDotacion()}%</div>
		                    		</td>
	                    		</tr>
	                   		</table>
	                    </div>
	                    <div class="row">
							<p:spacer height="105px" />
						</div>
	            	</div>
        		</div>
			</div>
		</div>
		<div class="row justify-content-md-center">
			<div class="col-lg-8">
			    <div class="card">
			        <div class="card-body">
			            <h4 class="card-title text-center">AUTODISCIPLINA</h4>
			            <br />
			            <div class="row">
			            	<div class="col-lg-6">
								<h4 class="card-title text-center">Planificación</h4>
								<div>
									<p:chart type="donut" model="#{perfilBean.donutPlanPieModel}" />
								</div>
				    		</div>
				            <div class="col-lg-6">
				            	<h4 class="card-title text-center">Funnel Hoy</h4>
								<div>
									<p:chart type="donut" model="#{perfilBean.donutFunPieModel}" />  
								</div>
							</div>	
						</div>
					</div>
				</div>
			</div>
		</div>	
		<br/><br/><br/>
		<h:form id="frmUsuarios">
			<p:growl autoUpdate="true" widgetVar="growlWV" id="growl" life="4000" />
			<h:inputHidden id="idPersonal" value="#{perfilBean.idPersonalSelect}"/>
			<h:inputHidden id="estadoActual" value="#{perfilBean.estadoSelect}"/>
			<h:inputHidden id="estadoNuevo" value="#{perfilBean.estadoNuevoSelect}"/>
			<h:inputHidden id="supervisor" value="#{perfilBean.supervisorSelect}"/>
			<div class="row d-none d-md-block d-lg-block">
				<p:dataTable 
	               	id="childTable"
	               	value="#{perfilBean.listTablaPerfilGU}"
			        var="childData"
			        styleClass="row tabla-usuarios bt-switch"
			        emptyMessage="Sin registros"
			   		rowExpandMode="single"
			        expandedRow="#{perfilBean.isExpandedChild(childData)}"
			        rowKey="#{childData.idPersonal}"
			        rowIndexVar="#{childData.idPersonal}"
			        style="margin-left: 10px;border:0px;"
			      	paginator="#{perfilBean.listTablaPerfilGU.size() > 10}"
			        rows="10"
					paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
					rowsPerPageTemplate="10,20,30,50,100"
					paginatorPosition="bottom">
					
					<p:ajax event="page" oncomplete="activaSwitch();" />
					
					<p:columnGroup type="header">
		            <p:row>
		                <p:column style="border: 0px; width:230px" headerText="Nombre" />
		                <p:column style="border: 0px" rowspan="2" headerText="BCPU" />
		                <p:column style="border: 0px;" headerText="Rotación" />
		                <p:column style="border: 0px;" headerText="Polizas" />
		                <p:column style="border: 0px;" headerText="PB" />
		                <p:column style="border: 0px;" headerText="PE" />
		            </p:row>
		          	</p:columnGroup>
	        	
			   		<p:column style="border:0;background-color:#FFFFFF; border-top-left-radius:15px;border-bottom-left-radius:15px;">
					    <table class="users">
	  						<tr>
						    	<td width="62px">
									<div class="card card-rounded bg-green float-left mr-3">
										<div class="card-body">
											<h:outputText value="GU" style="color: white;" />
										</div>
									</div>
						    	</td>
						    	<td>
									<div align="left">
										<div align="left"><b><h:outputText value=" #{childData.nombre}"/></b></div>
										<div align="left">
											<p:commandLink style="font-size: 9px;" styleClass="btn btn-rounded waves-effect waves-light btn-outline-info btn-xs mt-2" actionListener="#{perfilBean.expandChildActionGA(childData)}"
												update="frmUsuarios" value="#{childData.verPerfil}" oncomplete="activaSwitch();" />
										</div>
									</div>
						    	</td>
						    </tr>
			   			</table>
	 				</p:column>
					<p:column style="background-color:#FFFFFF;">
			    		<div style="font-size:11px;"><h:outputText value=" #{childData.bcpu}"/>%</div>
	 				</p:column>
					<p:column  style="background-color:#FFFFFF;">
			    		<div style="font-size:11px;"><h:outputText value=" #{childData.rotacion}"/>%</div>
	 				</p:column>
	 				<p:column style="border:0;background-color:#FFFFFF;">
	 					<p:fragment rendered="#{childData.polizas_estado eq 'NA'}">
	 						<p class="m-0"><i class="far fa-frown black"></i></p><p class="m-1 font-10 txt-gris">Sin meta</p>
	 					</p:fragment>
	 					<p:fragment rendered="#{childData.polizas_estado eq 'N'}">
	 						<p class="m-0"><i class="far fa-frown"></i></p><p class="m-1 font-10 text-danger">No Cumplimiento</p>
	 					</p:fragment>
	 					<p:fragment rendered="#{childData.polizas_estado eq 'S'}">
	 						<p class="m-0"><i class="fas fa-smile"></i></p><p class="m-1 font-10 text-success">Cumplimiento</p>
	 					</p:fragment>
	 				</p:column>
	 				<p:column style="border:0;background-color:#FFFFFF;">
	 					<p:fragment rendered="#{childData.pb_estado eq 'NA'}">
	 						<p class="m-0"><i class="far fa-frown black"></i></p><p class="m-1 font-10 txt-gris">Sin meta</p>
	 					</p:fragment>
	 					<p:fragment rendered="#{childData.pb_estado eq 'N'}">
	 						<p class="m-0"><i class="far fa-frown"></i></p><p class="m-1 font-10 text-danger">No Cumplimiento</p>
	 					</p:fragment>
	 					<p:fragment rendered="#{childData.pb_estado eq 'S'}">
	 						<p class="m-0"><i class="fas fa-smile"></i></p><p class="m-1 font-10 text-success">Cumplimiento</p>
	 					</p:fragment>
	 				</p:column>
	 				<p:column style="border:0;background-color:#FFFFFF;">
	  					<p:fragment rendered="#{childData.pe_estado eq 'NA'}">
	 						<p class="m-0"><i class="far fa-frown black"></i></p><p class="m-1 font-10 txt-gris">Sin meta</p>
	 					</p:fragment>
	 					<p:fragment rendered="#{childData.pe_estado eq 'N'}">
	 						<p class="m-0"><i class="far fa-frown"></i></p><p class="m-1 font-10 text-danger">No Cumplimiento</p>
	 					</p:fragment>
	 					<p:fragment rendered="#{childData.pe_estado eq 'S'}">
	 						<p class="m-0"><i class="fas fa-smile"></i></p><p class="m-1 font-10 text-success">Cumplimiento</p>
	 					</p:fragment>
	 				</p:column>
	 				<p:column style="border:0;background-color:#FFFFFF;border-top-right-radius:15px;border-bottom-right-radius:15px;">
	 					<div>
	 						<h:selectBooleanCheckbox value="#{childData.habilitado}" onchange="habilitaDeshabilitaGU(this, #{childData.idPersonal}, #{childData.habilitado}, '#{childData.nombre}');"/>
	 					</div>
	 					<p class="font-10">Habilitar / Deshabilitar </p>
	  				</p:column>
					    <p:rowExpansion>
					  		<p:dataTable 
	                         	id="asesorTable"
	                         	value="#{perfilBean.listTablaPerfilAsesor}"
						        var="asData"
						        styleClass="row tabla-usuarios bt-switch mini"
						        emptyMessage="Sin registros"
						        style="margin-left: 10px;"
						        paginator="#{perfilBean.listTablaPerfilAsesor.size() > 10}"
						        rows="10"
								paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
								rowsPerPageTemplate="10,20,30,50,100"
								paginatorPosition="bottom">
								
							<p:ajax event="page" oncomplete="activaSwitch();" />
								
						 	<p:columnGroup type="header">
				            <p:row>
				                <p:column style="border: 0px;width:210px" headerText="Nombre" />
				                <p:column style="border: 0px;" headerText="Tramo" />
		   		                <p:column style="border: 0px;" headerText="Polizas" />
				                <p:column style="border: 0px;" headerText="PB" />
				                <p:column style="border: 0px;" headerText="PE" />
				                <p:column style="border: 0px;" headerText="Antigüedad" />
				            </p:row>
				          	</p:columnGroup>
				        	
					   		<p:column  style="background-color:#FFFFFF;border-top-left-radius:15px;border-bottom-left-radius:15px;">
							    <table class="users">
		   					    	<tr>
								    	<td width="62px">
											<div class="card card-rounded bg-green float-left mr-3">
												<div class="card-body">
													<h:commandLink update="includePerfil, frmDrillDown" value="AS" style="color: white;" actionListener="#{perfilBean.drillDownPerfil(asData)}" />
												</div>
											</div>
								    	</td>
								    	<td>
											<div align="left">
												<div align="left"><b><h:outputText value=" #{asData.nombre}"/></b></div>
												<p:fragment rendered="#{asData.accion eq 'Ver meta'}">
													<p:commandLink style="font-size: 9px;" styleClass="btn btn-rounded waves-effect waves-light btn-outline-info btn-xs mt-2" actionListener="#{perfilBean.verMeta(asData.idPlanificacion)}"
														update="frmUsuarios:metas" oncomplete="metaAS(this, #{asData.idPersonal}, '#{asData.nombre}');" value="#{asData.accion}" />
												</p:fragment>
												<p:fragment rendered="#{asData.accion eq 'Meta aprovada'}">
													<div align="left"><div style="font-size: 9px;" class="btn btn-rounded waves-effect waves-light btn-outline-success btn-xs mt-2">Meta aprobada</div></div>
												</p:fragment>
												<p:fragment rendered="#{asData.accion eq 'Meta rechazada'}">
													<div align="left"><div style="font-size: 9px;" class="btn btn-rounded waves-effect waves-light btn-outline-danger btn-xs mt-2">Meta rechazada</div></div>
												</p:fragment>
												<p:fragment rendered="#{asData.accion eq 'Sin meta'}">
													<div align="left"><div style="font-size: 9px;" class="btn btn-rounded waves-effect waves-light btn-outline-dark btn-xs mt-2">Sin meta</div></div>
												</p:fragment>
											</div>
								    	</td>
								    </tr>
					   			</table>
						    </p:column>
						    <p:column  style="background-color:#FFFFFF;">
					    		<div style="font-size:11px;"><h:outputText value="#{asData.tramo}"/></div>
			 				</p:column>
		  					<p:column style="border:0;background-color:#FFFFFF;">
		  						<p:fragment rendered="#{asData.polizas_estado eq 'NA'}">
			 						<p class="m-0"><i class="far fa-frown black"></i></p><p class="m-1 font-10 txt-gris">Sin meta</p>
			 					</p:fragment>
			 					<p:fragment rendered="#{asData.polizas_estado eq 'N'}">
			 						<p class="m-0"><i class="far fa-frown"></i></p><p class="m-1 font-10 text-danger">No Cumplimiento</p>
			 					</p:fragment>
			 					<p:fragment rendered="#{asData.polizas_estado eq 'S'}">
			 						<p class="m-0"><i class="fas fa-smile"></i></p><p class="m-1 font-10 text-success">Cumplimiento</p>
			 					</p:fragment>
		  					</p:column>
		  					<p:column style="border:0;background-color:#FFFFFF;">
		  						<p:fragment rendered="#{asData.pb_estado eq 'NA'}">
			 						<p class="m-0"><i class="far fa-frown black"></i></p><p class="m-1 font-10 txt-gris">Sin meta</p>
			 					</p:fragment>
			 					<p:fragment rendered="#{asData.pb_estado eq 'N'}">
			 						<p class="m-0"><i class="far fa-frown"></i></p><p class="m-1 font-10 text-danger">No Cumplimiento</p>
			 					</p:fragment>
			 					<p:fragment rendered="#{asData.pb_estado eq 'S'}">
			 						<p class="m-0"><i class="fas fa-smile"></i></p><p class="m-1 font-10 text-success">Cumplimiento</p>
			 					</p:fragment>
		  					</p:column>
		  					<p:column style="border:0;background-color:#FFFFFF;">
		   					    <p:fragment rendered="#{asData.pe_estado eq 'NA'}">
			 						<p class="m-0"><i class="far fa-frown black"></i></p><p class="m-1 font-10 txt-gris">Sin meta</p>
			 					</p:fragment>
			 					<p:fragment rendered="#{asData.pe_estado eq 'N'}">
			 						<p class="m-0"><i class="far fa-frown"></i></p><p class="m-1 font-10 text-danger">No Cumplimiento</p>
			 					</p:fragment>
			 					<p:fragment rendered="#{asData.pe_estado eq 'S'}">
			 						<p class="m-0"><i class="fas fa-smile"></i></p><p class="m-1 font-10 text-success">Cumplimiento</p>
			 					</p:fragment>
		   					</p:column>
		   					<p:column  style="background-color:#FFFFFF;">
					    		<div style="font-size:11px;"><h:outputText value="#{asData.antiguedad}"/></div>
			 				</p:column>
		   					<p:column style="border:0;background-color:#FFFFFF;border-top-right-radius:15px;border-bottom-right-radius:15px;">		
		   						<p:fragment rendered="#{childData.habilitado eq true}">
	 								<h:selectBooleanCheckbox value="#{asData.habilitado}" disabled="true" /><p class="font-10">Habilitar / Deshabilitar </p>
	  							</p:fragment>
	  							<p:fragment rendered="#{childData.habilitado eq false}">
	 								<h:selectBooleanCheckbox value="#{asData.habilitado}" onchange="habilitaDeshabilitaAS(this, #{asData.idPersonal}, #{childData.idPersonal}, #{asData.habilitado}, '#{asData.nombre}');" /><p class="font-10">Habilitar / Deshabilitar </p>
	  							</p:fragment>
	  						</p:column>
	  		     		</p:dataTable>
	     	 		</p:rowExpansion>
	     		</p:dataTable>
			</div>
			
			<p:remoteCommand name="remoteHabilitaDeshabilitaGU" action="#{perfilBean.habilitaDeshabilitaGU}" 
				update="growl, childTable" oncomplete="PF('UsersWidgetDeshabilitarGU').hide();PF('UsersWidgetHabilitarGU').hide(); activaSwitch();"/>
			<p:remoteCommand name="remoteHabilitaDeshabilitaAS" action="#{perfilBean.habilitaDeshabilitaAS}" 
				update="growl, childTable" oncomplete="PF('UsersWidgetDeshabilitarAS').hide(); PF('UsersWidgetHabilitarAS').hide(); activaSwitch();"/>
			
			<p:confirmDialog widgetVar="UsersWidgetDeshabilitarGU" severity="alert" closable="false">
				<f:facet name="message">
					<div class="modal-body">
					  	<h4 class="lineadialog">Estas a punto de desactivar</h4>
					  	<h4 class="lineadialog">temporalmente a <strong><span id="nombreGU"/></strong></h4>
			   			<div class="lineadialogd">Al desactivar podrás aprobar y rechazar planes de los asesores.</div>
			   			<div class="lineadialogd">El GU no podrá iniciar sesión por un mínimo de 24 horas o hasta ser activado nuevamente.</div><br/>
			   			<h4 class="lineadialog">¿Desea continuar?</h4>
					</div>
					<div class="modal-footer">
						<p:commandLink value="Aceptar" style="background: white;color:black;" styleClass="btn btn-info waves-effect" onclick="remoteHabilitaDeshabilitaGU();"></p:commandLink>
						<p:commandLink value="Cancelar" style="background: #0090da;color:white;" styleClass="btn btn-info waves-effect" onclick="PF('UsersWidgetDeshabilitarGU').hide();deshacer();"></p:commandLink>
					</div>
				</f:facet>
			</p:confirmDialog>
			
			<p:confirmDialog widgetVar="UsersWidgetHabilitarGU" severity="alert" closable="false">
				<f:facet name="message">
					<div class="modal-body">
					  	<h4 class="lineadialog">¡Estas por activar a <strong><span id="nombreGUA"/></strong>!</h4>
					  	<h4 class="lineadialog">Al activar al GU podrá iniciar sesión, aprobar y rechazar planes.</h4>
					  	<h4 class="lineadialog">¿Desea continuar?</h4>
					</div>
					<div class="modal-footer">
						<p:commandLink value="Aceptar" style="background: white;color:black;" styleClass="btn btn-info waves-effect" onclick="remoteHabilitaDeshabilitaGU();"></p:commandLink>
						<p:commandLink value="Cancelar" style="background: #0090da;color:white;" styleClass="btn btn-info waves-effect" onclick="PF('UsersWidgetHabilitarGU').hide();deshacer();"></p:commandLink>
					</div>
				</f:facet>
			</p:confirmDialog>
			
			<p:confirmDialog widgetVar="UsersWidgetDeshabilitarAS" severity="alert" closable="false">
				<f:facet name="message">
					<div class="modal-body">
					  	<h4 class="lineadialog">Estas a punto de desactivar a <strong><span id="nombreAS"/></strong></h4>
					  	<h4 class="lineadialog">¿Desea continuar?</h4>
					</div>
					<div class="modal-footer">
						<p:commandLink value="Aceptar" style="background: white;color:black;" styleClass="btn btn-info waves-effect" onclick="remoteHabilitaDeshabilitaAS();"></p:commandLink>
						<p:commandLink value="Cancelar" style="background: #0090da;color:white;" styleClass="btn btn-info waves-effect" onclick="PF('UsersWidgetDeshabilitarAS').hide();deshacer();"></p:commandLink>
					</div>
				</f:facet>
			</p:confirmDialog>
			
			<p:confirmDialog widgetVar="UsersWidgetHabilitarAS" severity="alert" closable="false">
				<f:facet name="message">
					<div class="modal-body">
					  	<h4 class="lineadialog">¡Estas por activar a <strong><span id="nombreASA"/></strong>!</h4>
					  	<h4 class="lineadialog">¿Desea continuar?</h4>
					</div>
					<div class="modal-footer">
						<p:commandLink value="Aceptar" style="background: white;color:black;" styleClass="btn btn-info waves-effect" onclick="remoteHabilitaDeshabilitaAS();"></p:commandLink>
						<p:commandLink value="Cancelar" style="background: #0090da;color:white;" styleClass="btn btn-info waves-effect" onclick="PF('UsersWidgetHabilitarAS').hide();deshacer();"></p:commandLink>
					</div>
				</f:facet>
			</p:confirmDialog>
			
			<p:confirmDialog id="metas" style="background-color:#FFFFFF;" widgetVar="UsersWidgetMataAS" severity="alert" closable="false">
				<f:facet name="message">
					<div class="modal-body">
						<div align="right"><strong><h:outputText style="color:#007abc;font-size:13px;" value="Asesor : " /><span id="nombreAsesor" style="color:#007abc;font-size:13px;"/></strong></div>
					 	<p:repeat value="#{perfilBean.planAsesor.productos}" var="prod">
							<strong><h:outputText style="color:#007abc;font-size:12px;" value="#{prod.nombreProducto}" /></strong>
							<div class="table-responsive">
								<table class="classAprueba">
									<thead>
										<tr style="color:#0090da;font-size:11px;">
											<th style="width:150px; white-space: nowrap;"><spam style="font-weight: 500;">Producto</spam></th>
											<th><spam style="font-weight: 500;">Pólizas</spam></th>
											<th><spam style="font-weight: 500;">Prima Básica</spam></th>
											<th><spam style="font-weight: 500;">Prima Exceso</spam></th>
										</tr>
									</thead>
									<tbody>
									<p:repeat value="#{prod.subProductos}" var="subProd">
		    					    	<tr>
									    	<td>
												<h:outputText style="font-size:11px;color:#75787b;" value="#{subProd.getSubProducto()}" />
									    	</td>
									    	<td>
									    		<div style="margin-left:20px;width:60px;border: 1px solid #75787b; border-radius:15px;">
													<h:outputText style="font-size:11px;color:#75787b;" value="#{subProd.getPolizas()}" />	
												</div>
									    	</td>
									    	<td>
									    		<div style="margin-left:20px;width:60px;border: 1px solid #75787b; border-radius:15px;">
													<h:outputText style="font-size:11px;color:#75787b;" value="#{subProd.getPBasica()}" />
												</div>
									    	</td>
									    	<td>
									    		<div style="margin-left:20px;width:60px;border: 1px solid #75787b; border-radius:15px;">
													<h:outputText style="font-size:11px;color:#75787b;" value="#{subProd.getPExceso()}" />
												</div>
									    	</td>
									    </tr>
									 </p:repeat>
									 </tbody>
					   			</table>
							</div>
						 </p:repeat>
						 
						 <table class="classApruebaNoBorder">
							 <tr>
							 	<td style="width:150px; white-space: nowrap;">
							 		<h:outputText style="font-size:11px;color:#75787b;" value="Totales" />
							 	</td>
							 	<td>
							 		<div style="margin-left:20px;width:60px;border: 1px solid #75787b; border-radius:15px;">
							 			<h:outputText style="font-size:11px;color:#75787b;" value="#{perfilBean.planAsesor.totales.getPolizas()}" />
							 		</div>
							 	</td>
							 	<td>
							 		<div style="margin-left:20px;width:60px;border: 1px solid #75787b; border-radius:15px;">
							 			<h:outputText style="font-size:11px;color:#75787b;" value="#{perfilBean.planAsesor.totales.getPBasica()}" />
							 		</div>
							 	</td>
							 	<td>
							 		<div style="margin-left:20px;width:60px;border: 1px solid #75787b; border-radius:15px;">
							 			<h:outputText style="font-size:11px;color:#75787b;" value="#{perfilBean.planAsesor.totales.getPExceso()}" />
							 		</div>
							 	</td>
							 </tr>
							 <tr>
							 	<td style="width:150px; white-space: nowrap;">
							 		<h:outputText style="font-size:11px;color:#75787b;" value="Clientes Totales" />
							 	</td>
							 	<td>
							 		<div style="margin-left:20px;width:60px;border: 1px solid #75787b; border-radius:15px;">
							 			<h:outputText style="font-size:11px;color:#75787b;" value="#{perfilBean.planAsesor.getClientesTotales()}" />
							 		</div>
							 	</td>
							 	<td></td>
							 	<td></td>
							 </tr>
							 <tr>
							 	<td style="width:150px; white-space: nowrap;">
							 		<h:outputText style="font-size:11px;color:#75787b;" value="Esporádica" />
							 	</td>
							 	<td>
							 		<div style="margin-left:20px;width:60px;border: 1px solid #75787b; border-radius:15px;">
							 			<h:outputText style="font-size:11px;color:#75787b;" value="#{perfilBean.planAsesor.getPrimaEsporadica()}" />
							 		</div>
							 	</td>
							 	<td></td>
							 	<td></td>
							 </tr>
						 </table>
					</div>
					<div class="modal-footer">
						<p:commandLink value="Aprobar" style="border-color: #a4ce4e;background: white;color:#a4ce4e;" styleClass="btn btn-info waves-effect" actionListener="#{perfilBean.apruebaPlan}" update="growl, frmUsuarios:childTable:1:asesorTable" oncomplete="PF('UsersWidgetMataAS').hide();activaSwitch();"></p:commandLink>
						<p:commandLink value="Rechazar" style="border-color: black;background: white;color:black;" styleClass="btn btn-info waves-effect" actionListener="#{perfilBean.rechazaPlan}" update="growl, frmUsuarios:childTable:1:asesorTable" oncomplete="PF('UsersWidgetMataAS').hide();activaSwitch();"></p:commandLink>
						<p:commandLink value="Cancelar" style="background: #0090da;color:white;" styleClass="btn btn-info waves-effect" onclick="PF('UsersWidgetMataAS').hide();"></p:commandLink>
					</div>
				</f:facet>
			</p:confirmDialog>
		</h:form>
	</div>
	<script type="text/javascript">
		//<![CDATA[		
	    $(function() {
	        $(".preloader").fadeOut();
	        cargaInicialGraficosBarra();
	        activaSwitch();
	    });
	    
	    function activaSwitch(){
	    	$(".bt-switch input[type='checkbox'], .bt-switch input[type='radio']").bootstrapSwitch('size', 'mini');
	    }
	    
	    function finaliza() {
	    	$(".preloader").fadeOut();
	    }
	    
	    function cargaInicialGraficosBarra(){
			 var pPre = '#{perfilBean.cumplimientoPoliza.plan}'; 
			 var pMet = '#{perfilBean.cumplimientoPoliza.meta}'; 
			 var pReal = '#{perfilBean.cumplimientoPoliza.real}'; 
			 var pbPre = '#{perfilBean.cumplimientoPB.plan}'; 
			 var pbMet = '#{perfilBean.cumplimientoPB.meta}'; 
			 var pbReal = '#{perfilBean.cumplimientoPB.real}'; 
			 var pePre = '#{perfilBean.cumplimientoPE.plan}'; 
			 var peMet = '#{perfilBean.cumplimientoPE.meta}'; 
			 var peReal = '#{perfilBean.cumplimientoPE.real}'; 
			 var dActivos = '#{perfilBean.dotacionActivos.valor}';
			 var dTotales = '#{perfilBean.dotacionTotales.valor}';
			 
			 $("#dotActivo").text('Activos:' + dActivos);
			 $("#dotTotales").text('Totales:' + dTotales);
			 
			 var pPreFormat = Highcharts.numberFormat(pPre,0,',','.');
			 var pbPreFormat = Highcharts.numberFormat(pbPre,0,',','.');
			 var pePreFormat = Highcharts.numberFormat(pePre,0,',','.');
			 barChartCorporativo(pPre, pMet, pReal, 'bar-chart-ga', pPreFormat);
			 barChartCorporativo(pbPre, pbMet, pbReal, 'bar-chart-primabasica-ga', pbPreFormat);
			 barChartCorporativo(pePre, peMet, peReal, 'bar-chart-primaexceso-ga', pePreFormat);
			 barChartDotacion(dActivos, dTotales, 'bar-chart-dotacion-ga');
		 }
	    
	    var objGenerico;
	    
	    function habilitaDeshabilitaGU(obj, idPersonal, habilitado, nombreGU){
	    	document.getElementById("frmUsuarios:idPersonal").value = idPersonal;
	    	$("#nombreGU").text(nombreGU);
	    	$("#nombreGUA").text(nombreGU);
	    	
	    	objGenerico = obj; 
	    	if (obj.checked == habilitado){
	    		return false;
	    	}
	    	if (obj.checked){
	    		document.getElementById("frmUsuarios:estadoActual").value = 'I';
	    		document.getElementById("frmUsuarios:estadoNuevo").value = 'A';
	    		PF('UsersWidgetHabilitarGU').show();
	    	}else{
	    		document.getElementById("frmUsuarios:estadoActual").value = 'A';
	    		document.getElementById("frmUsuarios:estadoNuevo").value = 'I';
	    		PF('UsersWidgetDeshabilitarGU').show();
	    	}
	    }
	    
	    function deshacer(){
	    	objGenerico.click();
	    }
	    
	    function habilitaDeshabilitaAS(obj, idPersonal, supervisor, habilitado, nombreAS){
	    	document.getElementById("frmUsuarios:idPersonal").value = idPersonal;
	    	document.getElementById("frmUsuarios:supervisor").value = supervisor;
	    	$("#nombreAS").text(nombreAS);
	    	$("#nombreASA").text(nombreAS);
	    	
	    	objGenerico = obj; 
	    	if (obj.checked == habilitado){
	    		return false;
	    	}
	    	if (obj.checked){
	    		document.getElementById("frmUsuarios:estadoActual").value = 'I';
	    		document.getElementById("frmUsuarios:estadoNuevo").value = 'A';
	    		PF('UsersWidgetHabilitarAS').show();
	    	}else{
	    		document.getElementById("frmUsuarios:estadoActual").value = 'A';
	    		document.getElementById("frmUsuarios:estadoNuevo").value = 'I';
	    		PF('UsersWidgetDeshabilitarAS').show();
	    	}
	    }

	    function metaAS(obj, idPersonal, nombreAS){
	    	$("#nombreAsesor").text(nombreAS);
	    	PF('UsersWidgetMataAS').show();
	    }
 	//]]>
	</script>
</ui:composition>